Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class PDFOperator

    java.lang.Object
      org.pdfbox.util.PDFOperator

public class PDFOperator
extends Object

This class represents an Operator in the content stream.

Version:
  $Revision: 1.14 $
Author:
  Ben Litchfield

Method Summary
`byte[]` | `getImageData()` This is the special case for the ID operator where there are just random bytes inlined the stream.
`ImageParameters` | `getImageParameters()` This will get the image parameters, this is only valid for BI operators.
`String` | `getOperation()` This will get the operation that this operator represents.
`static PDFOperator` | `getOperator(String operator)` This is used to create/cache operators in the system.
`void` | `setImageData(byte[] imageDataArray)` This will set the image data, this is only used for the ID operator.
`void` | `setImageParameters(ImageParameters params)` This will set the image parameters, this is only valid for BI operators.
`String` | `toString()` This will print a string rep of this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getOperator

    public static PDFOperator getOperator(String operator)

  This is used to create/cache operators in the system.

  Parameters:
    `operator` - The operator for the system.
  Returns:
    The operator that matches the operator keyword.

### getOperation

    public String getOperation()

  This will get the operation that this operator represents.

  Returns:
    The string representation of the operation.

### toString

    public String toString()

  This will print a string rep of this class.

  Returns:
    A string rep of this class.

### getImageData

    public byte[] getImageData()

  This is the special case for the ID operator where there are just random bytes inlined the stream.

  Returns:
    Value of property imageData.

### setImageData

    public void setImageData(byte[] imageDataArray)

  This will set the image data, this is only used for the ID operator.

  Parameters:
    `imageDataArray` - New value of property imageData.

### getImageParameters

    public ImageParameters getImageParameters()

  This will get the image parameters, this is only valid for BI operators.

  Returns:
    The image parameters.

### setImageParameters

    public void setImageParameters(ImageParameters params)

  This will set the image parameters, this is only valid for BI operators.

  Parameters:
    `params` - The image parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD